<!--
    Input:
        manifest_singlesim.xml
-->
<manifest version="5.0" type="device">
    <hal format="aidl" override="true">
        <name>android.hardware.radio.config</name>
        <interface>
            <name>IRadioConfig</name>
            <instance>default</instance>
        </interface>
        <fqname>IRadioConfig/default</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>android.hardware.radio.data</name>
        <interface>
            <name>IRadioData</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IRadioData/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>android.hardware.radio.messaging</name>
        <interface>
            <name>IRadioMessaging</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IRadioMessaging/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>android.hardware.radio.modem</name>
        <interface>
            <name>IRadioModem</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IRadioModem/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>android.hardware.radio.network</name>
        <interface>
            <name>IRadioNetwork</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IRadioNetwork/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>android.hardware.radio.sim</name>
        <interface>
            <name>IRadioSim</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IRadioSim/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>android.hardware.radio.voice</name>
        <interface>
            <name>IRadioVoice</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IRadioVoice/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.sprd.hardware.soter</name>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.unisoc.hardware.radio.data</name>
        <interface>
            <name>IExtRadioData</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IExtRadioData/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.unisoc.hardware.radio.ims</name>
        <interface>
            <name>IImsRadio</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IImsRadio/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.unisoc.hardware.radio.messaging</name>
        <interface>
            <name>IExtRadioMessaging</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IExtRadioMessaging/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.unisoc.hardware.radio.modem</name>
        <interface>
            <name>IExtRadioModem</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IExtRadioModem/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.unisoc.hardware.radio.network</name>
        <interface>
            <name>IExtRadioNetwork</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IExtRadioNetwork/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.unisoc.hardware.radio.sim</name>
        <interface>
            <name>IExtRadioSim</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IExtRadioSim/slot1</fqname>
    </hal>
    <hal format="aidl" override="true">
        <name>vendor.unisoc.hardware.radio.voice</name>
        <interface>
            <name>IExtRadioVoice</name>
            <instance>slot1</instance>
        </interface>
        <fqname>IExtRadioVoice/slot1</fqname>
    </hal>
</manifest>
